<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.SftpConnectConfigMapper">

    <sql id="Base_Column_List">
        id,
        `host`,
        PORT,
        user_name AS userName,
        `password`,
        create_user AS createUser,
        create_time AS createTime,
        http_port as  httpPort
    </sql>

    <select id="findOne" resultType="com.huatek.busi.entity.SftpConnectConfig">
        SELECT
        <include refid="Base_Column_List"/>
        FROM
        x_sftp_connect_config
    </select>

    <delete id="delete">
        delete from x_sftp_connect_config
    </delete>
</mapper>